Subject: Your Platinum VisaCard Offer from Credit-One Bank!!

From: "Credit-One Bank Visa" <[email-masked]>
Date: Tue, 14 Nov 2017 00:31:47 +0100

Kindly check that html is enabled to review this offer for [email-masked].